Bug 69037 - Spec file misses some BuildPreReq
Summary: Spec file misses some BuildPreReq
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: openssh (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-17 12:14 UTC by Peter Bieringer
Modified: 2007-03-27 03:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 15:44:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Bieringer 2002-07-17 12:14:43 UTC
Description of problem:
Spec file misses some BuildPreReq

Version-Release number of selected component (if applicable):
openssh.spec of version 3.4p1

How reproducible:
On rebuilding

Steps to Reproduce:
1.Build on a more or less clean system
2.
3.
	

Actual Results:  Missing devel packets

Expected Results:  More proper BuildPreReq

Additional info:

Diff:

-BuildPreReq: openssl-devel, perl, sharutils, tcp_wrappers
+BuildPreReq: openssl-devel, perl, sharutils, tcp_wrappers, zlib-devel, krb5-devel

Whether
 BuildPreReq: pam-devel
instead of 
 BuildPreReq: /usr/include/security/pam_appl.h
is an issue for discussion.

Comment 1 Arenas Belon, Carlo Marcelo 2002-11-27 06:57:04 UTC
on spec from rawhide's package openssh-3.5p1-2.src.rpm, there is an :

%if %{kerberos5}
BuildPreReq: krb5-devel
%endif

that works for the krb5-devel BuildPrereq

Comment 2 Arenas Belon, Carlo Marcelo 2002-11-27 07:04:30 UTC
on the openssh-3.5p1's configure.ac the need for a working zlib development 
environment is clear, as shown on the following snippet :

AC_ARG_WITH(zlib,
        [  --with-zlib=PATH        Use zlib in PATH],
        [
                if test "x$withval" = "xno" ; then
                        AC_MSG_ERROR([*** zlib is required ***])
                fi
...

adding zlib-devel to the BuildPrereq list of packages required for building 
would help avoid errors while building this package on a clean environment

Comment 3 Dams 2003-09-16 16:39:29 UTC
[rpmbuild]
+ make gnome-ssh-askpass2
cc `pkg-config --cflags gtk+-2.0` \
        gnome-ssh-askpass2.c -o gnome-ssh-askpass2 \
        `pkg-config --libs gtk+-2.0`
Package gtk+-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk+-2.0.pc'
to the PKG_CONFIG_PATH environment variable

Installing gtk2-devel fixed the problem. Please add gtk2-devel as BuildRequires.

Comment 4 Tomas Mraz 2005-02-04 15:44:17 UTC
Fixed in the current releases.



Note You need to log in before you can comment on or make changes to this bug.